Bug 1284698 - [abrt] WARNING: CPU: 1 PID: 574 at arch/x86/mm/ioremap.c:198 __ioremap_caller+0x2c5/0x380() [NEEDINFO]
[abrt] WARNING: CPU: 1 PID: 574 at arch/x86/mm/ioremap.c:198 __ioremap_caller...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:269701baebd8891cc2486fde6c1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 18:31 EST by Sergey Zelenko
Modified: 2016-10-26 13:00 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 13:00:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (zelenko.sergey)


Attachments (Terms of Use)
File: dmesg (73.31 KB, text/plain)
2015-11-23 18:31 EST, Sergey Zelenko
no flags Details

  None (edit)
Description Sergey Zelenko 2015-11-23 18:31:16 EST
Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 1 PID: 574 at arch/x86/mm/ioremap.c:198 __ioremap_caller+0x2c5/0x380()
Info: mapping multiple BARs. Your kernel is fine.
Modules linked in:
 tpm_crb(+) i2c_i801 industrialio snd soundcore shpchp int3400_thermal int3403_thermal processor_thermal_device acpi_thermal_rel int3402_thermal tpm acpi_cpufreq int340x_thermal_zone intel_soc_dts_iosf iosf_mbi pinctrl_sunrisepoint dell_rbtn pinctrl_intel rfkill acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc nouveau i915 mxm_wmi ttm i2c_algo_bit 8021q drm_kms_helper garp stp llc mrp drm r8169 serio_raw mii wmi video i2c_hid uas usb_storage
CPU: 1 PID: 574 Comm: systemd-udevd Not tainted 4.2.3-300.fc23.x86_64 #1
Hardware name: Dell Inc. Inspiron 7559/0H0CC0, BIOS 1.0.3 09/23/2015
 0000000000000000 0000000057f4fc08 ffff8802767b3938 ffffffff81771fca
 0000000000000000 ffff8802767b3990 ffff8802767b3978 ffffffff8109e4a6
 ffff8802767b39a8 00000000fed40040 ffffc90000cc4040 0000000000001000
Call Trace:
 [<ffffffff81771fca>] dump_stack+0x45/0x57
 [<ffffffff8109e4a6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e535>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff81065ba5>] __ioremap_caller+0x2c5/0x380
 [<ffffffff81065c77>] ioremap_nocache+0x17/0x20
 [<ffffffff813b54f4>] devm_ioremap_nocache+0x44/0x80
 [<ffffffffa04ca235>] crb_acpi_add+0x105/0x2c0 [tpm_crb]
 [<ffffffff81424230>] acpi_device_probe+0x50/0xf7
 [<ffffffff814d0624>] driver_probe_device+0x1f4/0x450
 [<ffffffff814d0910>] __driver_attach+0x90/0xa0
 [<ffffffff814d0880>] ? driver_probe_device+0x450/0x450
 [<ffffffff814ce0ec>] bus_for_each_dev+0x6c/0xc0
 [<ffffffff814cfe2e>] driver_attach+0x1e/0x20
 [<ffffffff814cf97b>] bus_add_driver+0x1eb/0x280
 [<ffffffffa0031000>] ? 0xffffffffa0031000
 [<ffffffff814d1180>] driver_register+0x60/0xe0
 [<ffffffff81424a4a>] acpi_bus_register_driver+0x3b/0x43
 [<ffffffffa0031010>] crb_acpi_driver_init+0x10/0x1000 [tpm_crb]
 [<ffffffff81002123>] do_one_initcall+0xb3/0x200
 [<ffffffff811ffc0e>] ? kmem_cache_alloc_trace+0x19e/0x220
 [<ffffffff817711fc>] ? do_init_module+0x28/0x1e7
 [<ffffffff81771234>] do_init_module+0x60/0x1e7
 [<ffffffff811230bf>] load_module+0x20ef/0x2730
 [<ffffffff8111f460>] ? __symbol_put+0x60/0x60
 [<ffffffff81123854>] SyS_init_module+0x154/0x1a0
 [<ffffffff81023885>] ? syscall_trace_leave+0xb5/0x110
 [<ffffffff817789ae>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 1 Sergey Zelenko 2015-11-23 18:31:24 EST
Created attachment 1097915 [details]
File: dmesg
Comment 2 dashesy 2016-05-05 18:32:20 EDT
Hardware name: Dell Inc. XPS 8900/0XJ8C4, BIOS 2.1.3 01/20/2016 on 4.4.8-300.fc23.x86_64
Comment 3 Bas 2016-05-24 01:11:57 EDT
Description of problem:
I booted my laptop.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.9-300.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.9-300.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 663 at arch/x86/mm/ioremap.c:198 __ioremap_caller+0x2c5/0x380()
Info: mapping multiple BARs. Your kernel is fine.
Modules linked in:
 tpm_crb(+) tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper r8169 drm serio_raw rtsx_pci mii video i2c_hid fjes
CPU: 1 PID: 663 Comm: systemd-udevd Not tainted 4.4.9-300.fc23.x86_64 #1
Hardware name: Notebook                         N24_25JU/N24_25JU, BIOS 5.11 10/13/2015
 0000000000000286 000000004b80884b ffff88026792f9a0 ffffffff813b62ee
 ffff88026792f9e8 ffffffff81a59b64 ffff88026792f9d8 ffffffff810a4252
 00000000fed40040 ffffc90000f14040 0000000000001000 0000000000000040
Call Trace:
 [<ffffffff813b62ee>] dump_stack+0x63/0x85
 [<ffffffff810a4252>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a42ec>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff810aabba>] ? iomem_map_sanity_check+0xba/0xd0
 [<ffffffff81068ad5>] __ioremap_caller+0x2c5/0x380
 [<ffffffff81068ba7>] ioremap_nocache+0x17/0x20
 [<ffffffff813cfaf9>] devm_ioremap_nocache+0x49/0x90
 [<ffffffffa0303238>] crb_acpi_add+0x108/0x2d0 [tpm_crb]
 [<ffffffff8143f643>] acpi_device_probe+0x4f/0xf5
 [<ffffffff814f0302>] driver_probe_device+0x222/0x490
 [<ffffffff814f05f4>] __driver_attach+0x84/0x90
 [<ffffffff814f0570>] ? driver_probe_device+0x490/0x490
 [<ffffffff814edddc>] bus_for_each_dev+0x6c/0xc0
 [<ffffffff814efabe>] driver_attach+0x1e/0x20
 [<ffffffff814ef5fb>] bus_add_driver+0x1eb/0x280
 [<ffffffffa0008000>] ? 0xffffffffa0008000
 [<ffffffff814f0eb0>] driver_register+0x60/0xe0
 [<ffffffff8143f512>] acpi_bus_register_driver+0x3b/0x43
 [<ffffffffa0008010>] crb_acpi_driver_init+0x10/0x1000 [tpm_crb]
 [<ffffffff81002123>] do_one_initcall+0xb3/0x200
 [<ffffffff8120d496>] ? kmem_cache_alloc_trace+0x196/0x210
 [<ffffffff811abcde>] ? do_init_module+0x27/0x1cb
 [<ffffffff811abd16>] do_init_module+0x5f/0x1cb
 [<ffffffff8112a8d0>] load_module+0x2040/0x2680
 [<ffffffff81127030>] ? __symbol_put+0x60/0x60
 [<ffffffff8112b059>] SYSC_init_module+0x149/0x190
 [<ffffffff8112b18e>] SyS_init_module+0xe/0x10
 [<ffffffff817a0f2e>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 4 dashesy 2016-05-25 19:17:14 EDT
Description of problem:
rebooted after update

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.4.9-300.fc23.x86_64 root=UUID=33498e68-c113-4c93-8208-84ed680086b0 ro pci=noaer rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.9-300.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 5 PID: 594 at arch/x86/mm/ioremap.c:198 __ioremap_caller+0x2c5/0x380()
Info: mapping multiple BARs. Your kernel is fine.
Modules linked in:
 tpm_crb(+) tpm_tis tpm acpi_pad nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_logitech_hidpp uas usb_storage hid_logitech_dj 8021q garp stp llc mrp nouveau i915 mxm_wmi ttm i2c_algo_bit drm_kms_helper e1000e drm serio_raw ptp pps_core wmi video i2c_hid fjes
CPU: 5 PID: 594 Comm: systemd-udevd Not tainted 4.4.9-300.fc23.x86_64 #1
Hardware name: Dell Inc. XPS 8900/0XJ8C4, BIOS 2.1.3 01/20/2016
 0000000000000286 00000000bc33fd03 ffff88045d29b9a0 ffffffff813b62ee
 ffff88045d29b9e8 ffffffff81a59b64 ffff88045d29b9d8 ffffffff810a4252
 00000000fed40040 ffffc90001cfc040 0000000000001000 0000000000000040
Call Trace:
 [<ffffffff813b62ee>] dump_stack+0x63/0x85
 [<ffffffff810a4252>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a42ec>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff810aabba>] ? iomem_map_sanity_check+0xba/0xd0
 [<ffffffff81068ad5>] __ioremap_caller+0x2c5/0x380
 [<ffffffff81068ba7>] ioremap_nocache+0x17/0x20
 [<ffffffff813cfaf9>] devm_ioremap_nocache+0x49/0x90
 [<ffffffffa04f4238>] crb_acpi_add+0x108/0x2d0 [tpm_crb]
 [<ffffffff8143f643>] acpi_device_probe+0x4f/0xf5
 [<ffffffff814f0302>] driver_probe_device+0x222/0x490
 [<ffffffff814f05f4>] __driver_attach+0x84/0x90
 [<ffffffff814f0570>] ? driver_probe_device+0x490/0x490
 [<ffffffff814edddc>] bus_for_each_dev+0x6c/0xc0
 [<ffffffff814efabe>] driver_attach+0x1e/0x20
 [<ffffffff814ef5fb>] bus_add_driver+0x1eb/0x280
 [<ffffffffa0012000>] ? 0xffffffffa0012000
 [<ffffffff814f0eb0>] driver_register+0x60/0xe0
 [<ffffffff8143f512>] acpi_bus_register_driver+0x3b/0x43
 [<ffffffffa0012010>] crb_acpi_driver_init+0x10/0x1000 [tpm_crb]
 [<ffffffff81002123>] do_one_initcall+0xb3/0x200
 [<ffffffff8120d496>] ? kmem_cache_alloc_trace+0x196/0x210
 [<ffffffff811abcde>] ? do_init_module+0x27/0x1cb
 [<ffffffff811abd16>] do_init_module+0x5f/0x1cb
 [<ffffffff8112a8d0>] load_module+0x2040/0x2680
 [<ffffffff81127030>] ? __symbol_put+0x60/0x60
 [<ffffffff8112b059>] SYSC_init_module+0x149/0x190
 [<ffffffff8112b18e>] SyS_init_module+0xe/0x10
 [<ffffffff817a0f2e>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 5 Laura Abbott 2016-09-23 15:54:59 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 6 Laura Abbott 2016-10-26 13:00:02 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.